package com.ruoyi.business.mapper;

import java.util.List;
import com.ruoyi.business.domain.HwAlarmType;

/**
 * 报警类型Mapper接口
 * 
 * @author xins
 * @date 2023-09-15
 */
public interface HwAlarmTypeMapper 
{
    /**
     * 查询报警类型
     * 
     * @param alarmTypeId 报警类型主键
     * @return 报警类型
     */
    public HwAlarmType selectHwAlarmTypeByAlarmTypeId(Long alarmTypeId);

    /**
     * 查询报警类型列表
     * 
     * @param hwAlarmType 报警类型
     * @return 报警类型集合
     */
    public List<HwAlarmType> selectHwAlarmTypeList(HwAlarmType hwAlarmType);

    /**
     * 新增报警类型
     * 
     * @param hwAlarmType 报警类型
     * @return 结果
     */
    public int insertHwAlarmType(HwAlarmType hwAlarmType);

    /**
     * 修改报警类型
     * 
     * @param hwAlarmType 报警类型
     * @return 结果
     */
    public int updateHwAlarmType(HwAlarmType hwAlarmType);

    /**
     * 删除报警类型
     * 
     * @param alarmTypeId 报警类型主键
     * @return 结果
     */
    public int deleteHwAlarmTypeByAlarmTypeId(Long alarmTypeId);

    /**
     * 批量删除报警类型
     * 
     * @param alarmTypeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHwAlarmTypeByAlarmTypeIds(Long[] alarmTypeIds);
}
